
QGIS Application - Feature request #5705

Please add a QGIS backend

2012-06-01 04:14 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15230

Description

Commands should be exposed through C++, eventually through Python as well.

Related issues:

Related to QGIS Application - Feature request # 10331: Move heatmap core logi... Closed 2014-05-22

History

#1 - 2012-06-01 08:27 AM - Paolo Cavallini

In fact, this is not possible, as QGIS is not scriptable as for now. I'm leaving this open as a reminder for when QGIS will be.

#2 - 2012-06-02 03:23 AM - Paolo Cavallini

However, methods are exposed through Python

#3 - 2012-06-05 12:01 AM - Paolo Cavallini

See #5713

#4 - 2014-10-04 12:26 PM - Giovanni Manghi

- Category deleted (71)

- Project changed from 78 to QGIS Application

#5 - 2014-10-04 12:26 PM - Giovanni Manghi

- Category set to Processing/Core

#6 - 2016-10-12 03:25 AM - Alexander Bruy

- Status changed from Open to In Progress

- Assignee changed from Victor Olaya to Alexander Bruy

I start to work on this. See pull-requests:

    -  for interpolation tools (https://github.com/qgis/QGIS/pull/3592 )

    -  for raster terrain analysis tools (https://github.com/qgis/QGIS/pull/3581)

#7 - 2016-12-28 09:46 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/pull/3592
https://github.com/qgis/QGIS/pull/3581


Closing, as in master we already have Processing front-ends for QGIS analysis library
